package com.galaxis.manatee;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.scheduling.annotation.EnableScheduling;

import javax.annotation.PostConstruct;
import java.util.TimeZone;

/**
 * @author zcj
 * @version 0.1
 */
@EnableScheduling
@SpringBootApplication
@EnableFeignClients
public class ManateeApplication {

    @PostConstruct
    void started() {
        TimeZone.setDefault(TimeZone.getTimeZone("UTC+8"));
    }

    public static void main(String[] args) {
        SpringApplication.run(ManateeApplication.class, args);
    }

}
