package com.galaxis.manatee.constant;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Map;

/**
 * @author zcj
 * @version 0.1
 * @date 2020/1/10 12:01 上午
 */
@Service
public class ChuanYunConstant {

    /**
     * 审核结束
     */
    public static final String FINISH="1";

    /**
     * 审核流程中
     */
    public static final String IN_PROCESS="2";

    /**
     * 生产项目项目类型
     */
    public static final String PRODUCTION_PROJECT="生产项目";

    /**
     * 生产项目类型项目号
     */
    public static final String PRODUCTION_PROJECT_ID="production_project";

    /**
     * 保存项目号、项目ObjectId的映射关系
     */
    public static Map<String,String> PROJECT_CODE=new HashMap<>(2048);

    /**
     * 保存用户ID和工号的映射关系
     */
    public static Map<String,String> USER_EMPLOYEE_NUMBER=new HashMap<>(2048);

    /**
     * 保存用户id和所属部门id
     */
    public static Map<String,Object> USER_DEPARTMENT=new HashMap<>();

    /**
     * 用户ID和BG关系
     */
    public static Map<String,String> USER_BUSINESS_GROUP=new HashMap<>();

    /**
     * 调用地址
     */
    public static String CHUAN_YUN_INVOKE_URL;

    /**
     * 账号
     */
    public static String ENGINE_CODE;

    /**
     * 密码
     */
    public static String ENGINE_SECRET;

    @Value(value = "${chuanYun.engine.code}")
    public void setEngineCode(String engineCode) {
        ENGINE_CODE = engineCode;
    }

    @Value(value = "${chuanYun.engine.secret}")
    public void setEngineSecret(String engineSecret) {
        ENGINE_SECRET = engineSecret;
    }

    @Value(value = "${chuanYun.url.invoke}")
    public void setChuanYunInvokeUrl(String chuanYunInvokeUrl) {
        CHUAN_YUN_INVOKE_URL = chuanYunInvokeUrl;
    }
}
