package com.galaxis.manatee.dao;

import com.galaxis.capsule.util.GalaxisRepository;
import com.galaxis.manatee.entity.chuanyun.data.object.ChuanyunAskForLeaveDO;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Created by IntelliJ IDEA.
 * User: xuj
 * Date: 2020/7/24
 */
@Repository
public interface ChuanyunAskForLeaveDao extends GalaxisRepository<ChuanyunAskForLeaveDO,String> {

    /**
     * SQL 查询是否存在请假信息，避免重复提交
     * @param title
     * @return
     */
    @Query(value = "SELECT * FROM chuanyun_askforleave WHERE title = ?1", nativeQuery = true)
    List<ChuanyunAskForLeaveDO> findByTitleSQL(String title);

    /**
     * SQL 查询请假信息
     * @return
     */
    @Query(value = "SELECT t.* FROM chuanyun_askforleave t GROUP BY t.title", nativeQuery = true )
    List<ChuanyunAskForLeaveDO> findAllAskForLeave();
}
