package com.galaxis.manatee.dao;

import com.galaxis.capsule.util.GalaxisRepository;
import com.galaxis.manatee.entity.chuanyun.data.object.ChuanyunBudgetStatisticsDO;
import com.galaxis.manatee.entity.chuanyun.data.object.ChuanyunMemberCostDO;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ChuanyunBudgetStatisticsDao extends GalaxisRepository<ChuanyunBudgetStatisticsDO,String> {

    @Query(value="SELECT chuanyun_group_project.object_id as project,chuanyun_budget_statist.object_id,SUM(chuanyun_budget_statist.budget_amount) AS budget_amount,SUM(chuanyun_budget_statist.final_amount) AS final_amount,\n" +
            "chuanyun_budget_statist.fee_type,SUM(chuanyun_budget_statist.budget_amount)-SUM(chuanyun_budget_statist.final_amount) AS difference_amount\n" +
            "FROM chuanyun_budget_statist LEFT JOIN chuanyun_group_project ON chuanyun_group_project.`name` = chuanyun_budget_statist.project\n" +
            "GROUP BY\tchuanyun_budget_statist.project,chuanyun_budget_statist.fee_type",nativeQuery = true)
    List<ChuanyunBudgetStatisticsDO> getTotalByProject();
}
