package com.galaxis.manatee.dao;

import com.galaxis.capsule.util.GalaxisRepository;
import com.galaxis.manatee.entity.chuanyun.data.object.ChuanyunMaterialDO;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Optional;

/**
 * @author zcj
 * @version 0.1
 * @date 2020/4/15 10:58 上午
 */
@Repository
public interface ChuanyunMaterialDao extends GalaxisRepository<ChuanyunMaterialDO,String> {

    /**
     * 根据物料编码和版本号获得物料对象
     * @param code  物料编码
     * @return  物料对象
     */
    Optional<ChuanyunMaterialDO> findByCode(String code);

    /**
     * 根据物料编号获取列表
     * @param code  编号
     * @return  列表
     */
    List<ChuanyunMaterialDO> findAllByCode(String code);

    /**
     * 根据物料编码和版本号获得物料对象
     * @param code  物料编码
     * @param version   版本
     * @return  物料对象
     */
    Optional<ChuanyunMaterialDO> findByCodeAndVersion(String code,String version);
}
