package com.galaxis.manatee.entity.chuanyun.data.object;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.galaxis.manatee.util.ChuanyunLocalDateTimeDeserializer;
import com.galaxis.manatee.util.ChuanyunLocalDateTimeSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;

import javax.persistence.Entity;
import java.math.BigDecimal;
import java.time.LocalDateTime;

@Slf4j
@EqualsAndHashCode(callSuper = true)
@Data
@Entity
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunBudgetAmountDO extends BasicDO{

    /**
     * 表名
     */
    public static final String SCHEMA_CODE ="D0017898109525336e64d83bd9552c98b4385aa";

    /**
     * 所属项目
     */
    @JsonProperty("F0000001")
    private String project;

    /**
     * 费用类型
     */
    @JsonProperty("F0000002")
    private String feeType;

    /**
     * 预算金额
     */
    @JsonProperty("F0000003")
    private BigDecimal budgetAmount;

    /**
     * 默认日期（4月份）
     */
    @JsonProperty("F0000006")
    @JsonSerialize(using = ChuanyunLocalDateTimeSerializer.class)
    @JsonDeserialize(using = ChuanyunLocalDateTimeDeserializer.class)
    private LocalDateTime date;

    /**
     * 决算金额
     */
    @JsonProperty("F0000004")
    private BigDecimal finalAmount;

    /**
     * 预算绝算差异
     */
    @JsonProperty("F0000005")
    private BigDecimal differenceAmount;
}
