package com.galaxis.manatee.entity.chuanyun.data.object;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import java.math.BigDecimal;

@Slf4j
@Data
@Entity(name = "CHUANYUN_BUDGET_STATIST")
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunBudgetStatisticsDO {
    /**
     * 主键
     */
    @Id
    @GeneratedValue(generator = "idGeneratorChuanyunSelfCost")
    @GenericGenerator(name ="idGeneratorChuanyunSelfCost" ,strategy="com.galaxis.capsule.util.GalaxisIdGenerator")
    private Long objectId;

    /**
     * 所属项目
     */
    private String project;

    /**
     * 费用类型
     */
    private String feeType;

    /**
     * 预算金额
     */
    private BigDecimal budgetAmount;

    /**
     * 决算金额
     */
    private BigDecimal finalAmount;

    /**
     * 预算绝算差异
     */
    private BigDecimal differenceAmount;
}
