package com.galaxis.manatee.entity.chuanyun.data.object;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;

import javax.persistence.Entity;
import java.math.BigDecimal;

@Slf4j
@EqualsAndHashCode(callSuper = true)
@Data
@Entity(name = "CHUANYUN_COST_COLLECTION")
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunCostCollectionDO extends BasicDO{

    /**
     * 表名
     */
    public static final String SCHEMA_CODE ="D001789ac8de4abffcc48cba8f7ce172e551ace";

    /**
     * 工号
     */
    @JsonProperty("F0000001")
    public String employCode;

    /**
     * 姓名
     */
    @JsonProperty("F0000003")
    public String employName;

    /**
     *是否报工
     */
    @JsonProperty("F0000004")
    public String isTrue;

    /**
     * 项目所属ID
     */
    @JsonProperty("F0000005")
    private String projectId;

    /**
     * 项目号
     */
    @JsonProperty("F0000006")
    public String projectCode;

    /**
     * 项目名称
     */
    @JsonProperty("F0000007")
    public String projectName;

    /**
     * 项目类别
     */
    @JsonProperty("F0000010")
    public String projectType;

    /**
     * 外部项目名称
     */
    @JsonProperty("F0000008")
    public String outProjectName;

    /**
     * 分摊比例
     */
    @JsonProperty("F0000009")
    public BigDecimal rate;
}
