package com.galaxis.manatee.entity.chuanyun.data.object;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * Created by IntelliJ IDEA.
 * author: xuj
 * Date: 2020/8/7
 * Description: 项目工时分析
 */
@Slf4j
@Data
@Entity(name = "CHUANYUN_DAY_WORK_ABC")
@JsonIgnoreProperties(ignoreUnknown = true)
@Table(indexes = {@Index(name="project_Id_Code_Name", columnList="projectId,projectCode,projectName", unique=false)})
public class ChuanyunDayWorkAbcDO {

    public static final String SCHEMA_CODE = "D00178923542f48b44a4c10a579e94f197b1f81";

    @Id
    @JsonProperty(value = "ObjectId")
    private String objectId;

    /**
     * 项目id
     */
    @JsonProperty("project_id")
    private String projectId;

    /**
     * 项目编号
     */
    @JsonProperty("project_code")
    private String projectCode;

    /**
     * 项目名称
     */
    @JsonProperty("project_name")
    private String projectName;

    /**
     * 每天工时
     */
    @JsonProperty("day_log_date")
    private LocalDateTime dayLogDate;

    /**
     * 总工时
     */
    @JsonProperty("total_time")
    private BigDecimal totalTime;

    /**
     * 规划人员本项目工时
     */
    @JsonProperty("plan_time")
    private BigDecimal planTime;

    /**
     * 销售人员本项目工时
     */
    @JsonProperty("sell_time")
    private BigDecimal sellTime;

    /**
     * 其他支持人员本项目工时
     */
    @JsonProperty("other_time")
    private BigDecimal otherTime;

}
