package com.galaxis.manatee.entity.chuanyun.data.object;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.galaxis.manatee.entity.chuanyun.dto.ExcelColumn;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;

import javax.persistence.Entity;

@Slf4j
@EqualsAndHashCode(callSuper = true)
@Data
@Entity(name = "CHUANYUN_EQUIPMENT")
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunEquipmentDO extends BasicDO{


    /**
     * 表名
     */
    public static final String SCHEMA_CODE ="D001789784c1058ac774a7eba4459cc0c134ecd";

    /**
     * 设备编号
     */
    @ExcelColumn(value = "设备编号", col = 1)
    @JsonProperty("F0000001")
    private String equipmentCode;

    /**
     * 设备配置编号
     */
    @ExcelColumn(value = "设备配置编号", col = 2)
    @JsonProperty("F0000002")
    private String equipmentConfigureCode;

    /**
     * 设备配置属性
     */
    @ExcelColumn(value = "设备配置属性", col = 3)
    @JsonProperty("F0000003")
    private String equipmentConfigureAttribute;

    /**
     * 设备配置值
     */
    @ExcelColumn(value = "设备配置值", col = 4)
    @JsonProperty("F0000004")
    private String equipmentConfigureValue;
}
