package com.galaxis.manatee.entity.chuanyun.data.object;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.galaxis.manatee.util.ChuanyunLocalDateTimeDeserializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;

import javax.persistence.Entity;
import java.time.LocalDateTime;

/**
 * @author zcj
 * @version 0.1
 * @date 2020/5/2 8:46 下午
 */
@Slf4j
@Data
@EqualsAndHashCode(callSuper = true)
@Entity(name = "CHUANYUN_GROUP_PROJECT_DETAIL")
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunGroupProjectDetailDO extends BasicSubDO{

    /**
     * 表名
     */
    public static final String SCHEMA_CODE ="D001789Fd992bf8fbe114c9babe0f98cf676f8a2";

    /**
     * 项目组织名称
     */
    @JsonProperty("F0000025")
    private String companyName;

    /**
     * 项目组织编码
     */
    private String companyCode;

    /**
     * 项目分类
     */
    @JsonProperty("F0000037")
    private String type;

    /**
     * 客户编号
     */
    @JsonProperty("F0000017")
    private String clientCode;

    /**
     * 业务来源
     */
    @JsonProperty("F0000027")
    private String source;

    /**
     * 默认支出类型
     */
    @JsonProperty("F0000028")
    private String defaultExpenseType;

    /**
     * 计划开始时间
     */
    @JsonProperty("F0000022")
    @JsonDeserialize(using = ChuanyunLocalDateTimeDeserializer.class)
    private LocalDateTime planStartDateTime;

    /**
     * 计划结束时间
     */
    @JsonProperty("F0000023")
    @JsonDeserialize(using = ChuanyunLocalDateTimeDeserializer.class)
    private LocalDateTime planEndDateTime;
}
