package com.galaxis.manatee.entity.chuanyun.data.object;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.galaxis.manatee.util.ChuanyunLocalDateTimeDeserializer;
import com.galaxis.manatee.util.ChuanyunLocalDateTimeSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Entity;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

@Slf4j
@EqualsAndHashCode(callSuper = true)
@Data
@Entity(name = "CHUANYUN_HOLIDAY_SALARY_RULE")
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunHolidaySalaryRuleDO extends BasicDO{

    /**
     * 表编码
     */
    public static final String SCHEMA_CODE ="D001789c4b18d595e624fd2bd63e8fbbbdca1d4";

    /**
     * 年份
     */
    @JsonProperty("F0000005")
    private Integer year;

    /**
     * 日期
     */
    @JsonProperty("F0000001")
    @JsonSerialize(using = ChuanyunLocalDateTimeSerializer.class)
    @JsonDeserialize(using = ChuanyunLocalDateTimeDeserializer.class)
    @DateTimeFormat(pattern = "yyyy/MM/dd HH:mm:ss")
    private LocalDateTime holidayDate;

    /**
     * 日期说明
     */
    @JsonProperty("F0000002")
    private String content;

    /**
     * 日期类型
     */
    @JsonProperty("F0000003")
    private String dateType;

    /**
     * 加成系数
     */
    @JsonProperty("F0000004")
    private BigDecimal coefficient;

}
