package com.galaxis.manatee.entity.chuanyun.data.object;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.galaxis.capsule.dto.MaterialDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.BeanUtils;

import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;
import java.util.UUID;

/**
 * @author zcj
 * @version 0.1
 * @date 2020/4/15 10:14 上午
 */
@Slf4j
@EqualsAndHashCode(callSuper = true)
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
@Entity(name = "CHUANYUN_MATERIAL")
@Table(indexes = {@Index(name = "code-version",  columnList="code,version", unique = true)})
public class ChuanyunMaterialDO extends BasicDO{

    /**
     * 表名
     */
    public static final String SCHEMA_CODE ="shat8v8ojpb62v3gcmduw7aq0";

    /**
     * 物料编号
     */
    @JsonProperty(value = "F0000002")
    private String code;

    /**
     * 品名
     */
    @JsonProperty(value = "F0000001")
    private String title;

    /**
     * 名称（标签）
     */
    @JsonProperty(value = "F0000007")
    private String label;

    /**
     * 型号
     */
    @JsonProperty(value = "F0000008")
    private String model;

    /**
     * 品牌
     */
    @JsonProperty(value = "F0000009")
    private String brand;

    /**
     * 版本
     */
    @JsonProperty(value = "F0000010")
    private String version;

    /**
     * 库存分类
     */
    @JsonProperty(value = "F0000005")
    private String type;

    /**
     * 形态属性
     */
    @JsonProperty(value = "F0000006")
    private String property;

    /**
     * 根据materialDTO获得chuanyunMaterialBO
     * @param materialDTO   传输数据
     * @return  保存数据
     */
    public static ChuanyunMaterialDO fromMaterialDTO(MaterialDTO materialDTO){
        ChuanyunMaterialDO chuanyunMaterialDO =new ChuanyunMaterialDO();
        BeanUtils.copyProperties(materialDTO, chuanyunMaterialDO);
        chuanyunMaterialDO.setObjectId(UUID.randomUUID().toString());
        chuanyunMaterialDO.setTitle(materialDTO.getName());
        chuanyunMaterialDO.setName(materialDTO.getName()+"\t"+materialDTO.getCode());
        return chuanyunMaterialDO;
    }
}
