package com.galaxis.manatee.entity.chuanyun.data.object;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.galaxis.manatee.util.ChuanyunLocalDateTimeDeserializer;
import com.galaxis.manatee.util.ChuanyunLocalDateTimeSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;

import javax.persistence.Entity;
import java.math.BigDecimal;
import java.time.LocalDateTime;

@Slf4j
@EqualsAndHashCode(callSuper = true)
@Data
@Entity
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunMemberHourDO extends BasicDO{

    /**
     * 表名
     */
    public static final String SCHEMA_CODE ="D0017899cae010a8a5741b5be13a1fa7f67330d";

    @JsonProperty("F0000002")
    private String userId;

    private String projectType;

    @JsonProperty("F0000001")
    private String projectId;

    @JsonProperty("F0000003")
    @JsonSerialize(using = ChuanyunLocalDateTimeSerializer.class)
    @JsonDeserialize(using = ChuanyunLocalDateTimeDeserializer.class)
    private LocalDateTime dayLogDate;

    @JsonProperty("F0000004")
    private BigDecimal standardWorkHour;
}
