package com.galaxis.manatee.entity.chuanyun.data.object;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.galaxis.manatee.util.ChuanyunLocalDateTimeDeserializer;
import com.galaxis.manatee.util.ChuanyunLocalDateTimeSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;

import javax.persistence.Entity;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author kxuan
 */
@Slf4j
@EqualsAndHashCode(callSuper = true)
@Data
@Entity
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunMemberMonthCostDO extends BasicDO{

    /**
     * 表名
     */
    public static final String SCHEMA_CODE ="D001789f4833b5cbd0147a4957a7a466e65297a";

    /**
     * 项目ID
     */
    @JsonProperty("F0000003")
    private String projectId;

    /**
     * 项目类型
     */
    @JsonProperty("F0000008")
    private String projectType;

    /**
     * 用户ID
     */
    @JsonProperty("F0000002")
    private String userId;

    /**
     * 日期
     */
    @JsonProperty("F0000004")
    @JsonSerialize(using = ChuanyunLocalDateTimeSerializer.class)
    @JsonDeserialize(using = ChuanyunLocalDateTimeDeserializer.class)
    private LocalDateTime dayLogDate;

    /**
     * 工时
     */
    @JsonProperty("F0000005")
    private BigDecimal workHour;

    /**
     * 成本
     */
    @JsonProperty("F0000006")
    private BigDecimal cost;

    /**
     * 月度工时汇总
     */
    @JsonProperty("F0000007")
    private BigDecimal monthWorkHour;
}
