package com.galaxis.manatee.entity.chuanyun.data.object;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalDateTimeDeserializer;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalDateTimeSerializer;
import com.galaxis.manatee.util.ChuanyunLocalDateTimeDeserializer;
import com.galaxis.manatee.util.ChuanyunLocalDateTimeSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Entity;
import javax.persistence.Transient;
import java.math.BigDecimal;
import java.time.LocalDateTime;

@Slf4j
@EqualsAndHashCode(callSuper = true)
@Data
@Entity(name = "CHUANYUN_MONTH_LABORCOST")
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunMonthLaborCostDO extends BasicDO{

    /**
     * 表名
     */
    public static final String SCHEMA_CODE ="D001789c42dc40d56a84e84b09609bf44a77205";

    @JsonProperty("F0000005")
    private String projectCode;

    @JsonProperty("F0000003")
    private BigDecimal amount;

    @Transient
    private BigDecimal totalamount;

    @JsonSerialize(using = ChuanyunLocalDateTimeSerializer.class)
    @JsonDeserialize(using = ChuanyunLocalDateTimeDeserializer.class)
    @JsonProperty("F0000002")
    private LocalDateTime logDate;

    @JsonProperty("F0000004")
    private String dataType;
}
