package com.galaxis.manatee.entity.chuanyun.data.object;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.galaxis.manatee.util.ChuanyunLocalDateTimeDeserializer;
import com.galaxis.manatee.util.ChuanyunLocalDateTimeSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;

import javax.persistence.*;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author zcj
 * @version 0.1
 * @date 2020/5/1 2:36 下午
 */
@Slf4j
@Data
@EqualsAndHashCode(callSuper = true)
@Entity(name = "CHUANYUN_PAYMENT_RECEIVE_ACTION")
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunPaymentReceiveActionDO extends BasicSubDO{

    /**
     * 表名
     */
    public static final String SCHEMA_CODE ="D001789Fdaace842c0d3428aa65141faf13c794e";

    /**
     * 阶段
     */
    @JsonProperty("F0000039")
    private String step;
    /**
     * 回款金额
     */
    @JsonProperty("F0000023")
    private String receiveAmount;
    /**
     * 回款日期
     */
    @JsonProperty("F0000024")
    @JsonSerialize(using = ChuanyunLocalDateTimeSerializer.class)
    @JsonDeserialize(using = ChuanyunLocalDateTimeDeserializer.class)
    private LocalDateTime receiveDate;
    /**
     * 差额
     */
    @JsonProperty("F0000025")
    private BigDecimal receiveAmountDifference;
    /**
     * 差额原因
     */
    @JsonProperty("F0000026")
    private String reason;
    /**
     * 备注
     */
    @JsonProperty("F0000043")
    private String content;
}
