package com.galaxis.manatee.entity.chuanyun.data.object;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.List;
import java.util.Set;

/**
 * @author zcj
 * @version 0.1
 * @date 2020/5/1 2:34 下午
 */
@Slf4j
@EqualsAndHashCode(callSuper = true)
@Data
@Entity(name = "CHUANYUN_PAYMENT_RECEIVE")
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunPaymentReceiveDO extends BasicDO{

    /**
     * 表名
     */
    public static final String SCHEMA_CODE ="D0017890fc02ad7b8ff4348a25f61f7ed8abbc2";
    /**
     * 销售合同Id
     */
    @JsonProperty("F0000001")
    private String saleContractId;
    /**
     * 销售合同编码
     */
    @JsonProperty("F0000002")
    private String saleContractCode;
    /**
     * 合同金额
     */
    @JsonProperty("F0000003")
    private BigDecimal contractAmount;
    /**
     * 合同未税金额
     */
    @JsonProperty("F0000013")
    private BigDecimal contractAmountWithoutTax;
    /**
     * 销售合同条款
     */
    @JsonProperty("F0000037")
    @Column(length = Integer.MAX_VALUE)
    private String saleContractTerms;
    /**
     * 回款计划列表
     */
    @JsonProperty("D001789F2a010fe1818a4020b1ff5a33533f9e44")
    @OneToMany(cascade = CascadeType.ALL, orphanRemoval = true,fetch = FetchType.EAGER)
    private Set<ChuanyunPaymentReceivePlanDO> planList;
    /**
     * 实际回款情况列表
     */
    @JsonProperty("D001789Fdaace842c0d3428aa65141faf13c794e")
    @OneToMany(cascade = CascadeType.ALL, orphanRemoval = true,fetch = FetchType.EAGER)
    private Set<ChuanyunPaymentReceiveActionDO> actionList;
    /**
     * 累计回款金额
     */
    @JsonProperty("F0000012")
    private BigDecimal paymentReceived;
    /**
     * 剩余待回款金额
     */
    @JsonProperty("F0000027")
    private BigDecimal restPaymentReceivable;
    /**
     * 应收账款
     */
    @JsonProperty("F0000040")
    private BigDecimal paymentReceivable;
    /**
     * 发票
     */
    @JsonProperty("D001789F2ebaaf8fa86b478eb93d270680f2ff1d")
    @OneToMany(cascade = CascadeType.ALL, orphanRemoval = true,fetch = FetchType.EAGER)
    private Set<ChuanyunPaymentReceiveInvoiceDO> invoiceList;
}
