package com.galaxis.manatee.entity.chuanyun.data.object;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.galaxis.manatee.util.ChuanyunLocalDateTimeDeserializer;
import com.galaxis.manatee.util.ChuanyunLocalDateTimeSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;
import org.hibernate.annotations.NaturalId;

import javax.persistence.Entity;
import javax.persistence.Id;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author zcj
 * @version 0.1
 * @date 2020/5/1 2:36 下午
 */
@Slf4j
@Data
@EqualsAndHashCode(callSuper = true)
@Entity(name = "CHUANYUN_PAYMENT_RECEIVE_INVOICE")
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunPaymentReceiveInvoiceDO extends BasicSubDO{

    /**
     * 表名
     */
    public static final String SCHEMA_CODE ="D001789F2ebaaf8fa86b478eb93d270680f2ff1d";
    /**
     * 回款节点
     */
    @JsonProperty("F0000041")
    private String step;
    /**
     * 发票类型
     */
    @JsonProperty("F0000028")
    private String type;
    /**
     * 发票金额
     */
    @JsonProperty("F0000029")
    private BigDecimal invoiceAmount;
    /**
     * 发票税率
     */
    @JsonProperty("F0000030")
    private BigDecimal invoiceRate;
    /**
     * 发票时间
     */
    @JsonProperty("F0000031")
    @JsonSerialize(using = ChuanyunLocalDateTimeSerializer.class)
    @JsonDeserialize(using = ChuanyunLocalDateTimeDeserializer.class)
    private LocalDateTime invoiceDateTime;
    /**
     * 备注
     */
    @JsonProperty("F0000044")
    private String content;
}
