package com.galaxis.manatee.entity.chuanyun.data.object;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.galaxis.manatee.util.ChuanyunLocalDateTimeDeserializer;
import com.galaxis.manatee.util.ChuanyunLocalDateTimeSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;
import org.hibernate.annotations.NaturalId;

import javax.persistence.Entity;
import javax.persistence.Id;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author zcj
 * @version 0.1
 * @date 2020/5/1 2:35 下午
 */
@Slf4j
@Data
@EqualsAndHashCode(callSuper = true)
@Entity(name = "CHUANYUN_PAYMENT_RECEIVE_PLAN")
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunPaymentReceivePlanDO extends BasicSubDO{

    /**
     * 表名
     */
    public static final String SCHEMA_CODE ="D001789F2a010fe1818a4020b1ff5a33533f9e44";
    /**
     * 阶段
     */
    @JsonProperty("F0000034")
    private String step;
    /**
     * 回款条件
     */
    @JsonProperty("F0000032")
    private String receiveCondition;
    /**
     * 计划回款时间
     */
    @JsonProperty("F0000033")
    @JsonSerialize(using = ChuanyunLocalDateTimeSerializer.class)
    @JsonDeserialize(using = ChuanyunLocalDateTimeDeserializer.class)
    private LocalDateTime planDateTime;
    /**
     * 回款比例啊
     */
    @JsonProperty("F0000035")
    private BigDecimal rate;
    /**
     * 回款金额
     */
    @JsonProperty("F0000036")
    private BigDecimal receiveAmount;
    /**
     * 备注
     */
    @JsonProperty("F0000042")
    private String content;
}
