package com.galaxis.manatee.entity.chuanyun.data.object;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.galaxis.manatee.util.ChuanyunLocalDateTimeDeserializer;
import com.galaxis.manatee.util.ChuanyunLocalDateTimeSerializer;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author kxuan
 */
@Slf4j
@Data
@Entity(name = "CHUANYUN_SELF_COST")
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunSelfCostDO {
    /**
     * 主键
     */
    @Id
    @GeneratedValue(generator = "idGeneratorChuanyunSelfCost")
    @GenericGenerator(name ="idGeneratorChuanyunSelfCost" ,strategy="com.galaxis.capsule.util.GalaxisIdGenerator")
    private Long objectId;

    /**
     * 用户Id
     */
    private String userId;

    /**
     * 项目类型
     */
    private String projectType;

    /**
     * 项目Id
     */
    private String projectId;

    /**
     * 流程状态
     */
    private String status;

    /**
     * 月份
     */
    @JsonSerialize(using = ChuanyunLocalDateTimeSerializer.class)
    @JsonDeserialize(using = ChuanyunLocalDateTimeDeserializer.class)
    private LocalDateTime dayLogDate;

    /**
     * 人员单项目每月工时汇总
     */
    private BigDecimal totalHour;

    /**
     * 人员单项目薪资成本
     */
    private BigDecimal cost;

    /**
     * 人员每月工时汇总
     */
    private BigDecimal monthlyTotalHour;

    /**
     * 部门Id
     */
    private String departmentId;
}
