package com.galaxis.manatee.entity.chuanyun.data.object;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.galaxis.manatee.util.ChuanyunLocalDateTimeDeserializer;
import com.galaxis.manatee.util.ChuanyunLocalDateTimeSerializer;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author kxuan
 */
@Slf4j
@Data
@Entity(name = "CHUANYUN_SELF_WORK_HOUR")
@JsonIgnoreProperties(ignoreUnknown = true)
@Table(indexes = {@Index(name="project_user_hour", columnList="projectId,userId,standardWorkHour", unique=false)})
public class ChuanyunSelfWorkHourDO {

    @Id
    @GeneratedValue(generator = "idGeneratorUser")
    @GenericGenerator(name ="idGeneratorUser" ,strategy="com.galaxis.capsule.util.GalaxisIdGenerator")
    private Long objectId;

    private String userId;

    private String projectType;

    private String projectId;

    /**
     * 流程状态
     */
    private String status;

    @JsonSerialize(using = ChuanyunLocalDateTimeSerializer.class)
    @JsonDeserialize(using = ChuanyunLocalDateTimeDeserializer.class)
    private LocalDateTime dayLogDate;

    private BigDecimal standardWorkHour;
}
