package com.galaxis.manatee.webservice;


import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.galaxis.manatee.chuanyun_web_service.*;
import com.galaxis.manatee.entity.chuanyun.dto.ChuanyunWebServiceDTO;
import com.galaxis.manatee.task.ChuanyunBasicDataScheduledTask;
import com.galaxis.manatee.task.ChuanyunHumanResourceScheduledTask;
import lombok.extern.slf4j.Slf4j;
import org.apache.tomcat.util.json.JSONParser;
import org.springframework.scheduling.annotation.Async;
import org.springframework.ws.server.endpoint.annotation.Endpoint;
import org.springframework.ws.server.endpoint.annotation.PayloadRoot;
import org.springframework.ws.server.endpoint.annotation.RequestPayload;
import org.springframework.ws.server.endpoint.annotation.ResponsePayload;

/**
 * @author kxuan
 * @version 1.0
 */
@Slf4j
@Endpoint
public class CountryEndpoint {
	private static final String NAMESPACE_URI = "http://galaxis.com/manatee/chuanyun-web-service";

	private final ChuanyunHumanResourceScheduledTask chuanyunHumanResourceScheduledTask;
	private final ChuanyunBasicDataScheduledTask chuanyunBasicDataScheduledTask;

	public CountryEndpoint(ChuanyunHumanResourceScheduledTask chuanyunHumanResourceScheduledTask, ChuanyunBasicDataScheduledTask chuanyunBasicDataScheduledTask) {
		this.chuanyunHumanResourceScheduledTask = chuanyunHumanResourceScheduledTask;
		this.chuanyunBasicDataScheduledTask = chuanyunBasicDataScheduledTask;
	}


	@PayloadRoot(namespace = NAMESPACE_URI, localPart = "GetSchema")
	@ResponsePayload
	public GetSchemaResponse getSchema(@RequestPayload GetSchema request)
	{
		GetSchemaResponse getSchemaResponse=new GetSchemaResponse();
		getSchemaResponse.setResponse("{}");
		return getSchemaResponse;
	}

	@PayloadRoot(namespace = NAMESPACE_URI, localPart = "GetSchemaList")
	@ResponsePayload
	public GetSchemaListResponse getSchemaList(@RequestPayload GetSchemaList request)
	{
		GetSchemaListResponse getSchemaListResponse=new GetSchemaListResponse();
		getSchemaListResponse.setResponse("{}");
		return getSchemaListResponse;
	}

	@PayloadRoot(namespace = NAMESPACE_URI, localPart = "GetList")
	@ResponsePayload
	public GetListResponse getList(@RequestPayload GetList request) {
		GetListResponse getListResponse=new GetListResponse();
		getListResponse.setResponse("{}");
		return getListResponse;
	}

	/**
	 * 氚云后端调用的方法名
	 */
	@PayloadRoot(namespace = NAMESPACE_URI, localPart = "Invoke")
	@ResponsePayload
	public InvokeResponse invoke(@RequestPayload Invoke request) throws JsonProcessingException {
		//书写调用第三方接口方法
		log.info("开始数据同步");
		if (request.getMethodName().equals("projectApproval")){
			chuanyunBasicDataScheduledTask.getGroupProjectManually();
		}
		var objectMapper=new ObjectMapper();
		InvokeResponse invokeResponse=new InvokeResponse();
		chuanyunHumanResourceScheduledTask.getPayrollManually();
		chuanyunBasicDataScheduledTask.getUserCompanyManually();
		chuanyunBasicDataScheduledTask.getCompanyManually();
		chuanyunBasicDataScheduledTask.getCostCollectionManually();
		chuanyunBasicDataScheduledTask.getReimbursementItemsManually();
		chuanyunBasicDataScheduledTask.getGroupProjectForSynchronizationManually();
		log.info("数据同步成功");
		ChuanyunWebServiceDTO chuanyunWebServiceDTO = new ChuanyunWebServiceDTO();
		chuanyunWebServiceDTO.setMessage("数据同步完成");
		chuanyunWebServiceDTO.setResultCode("0");
		invokeResponse.setResponse(objectMapper.writeValueAsString(chuanyunWebServiceDTO));
		return invokeResponse;
	}
}
